SET DEFINE OFF;

--
-- 
-- ____________________________________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ____________________________________________________________________________________________
--
--

--
-- 
-- Fichier: n°2
-- Type: DDL
-- Schéma:  RECHERCHE
-- Numéro de version :  1.0.0.0
-- Date de publication :  07/12/2010
-- Auteurs : Julien Lafourcade, Bruno Garnier
-- Licence : CeCILL version 2
--
--


/*
	Création des séquences
*/


whenever sqlerror exit sql.sqlcode ;

-- les séquences : 
CREATE SEQUENCE RECHERCHE.AAP_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.CONTRAT_RECHERCHE_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.PROJET_SCIENTIFIQUE_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.REPART_APPORT_DAJ_CONT_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.REPART_APPORT_DRV_CONT_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.REPART_CONTRAT_LANGUE_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.REPART_TYPE_RES_CONT_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.VALIDATION_CONTRATS_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
CREATE SEQUENCE RECHERCHE.REPART_TYPE_FINANC_AAP_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;


CREATE SEQUENCE RECHERCHE.REPART_UNIT_RECH_DOM_SC_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.RECONNAISSANCE_UNITE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.NOMENCLATURE_OBJETS_SEQ  INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE ;
CREATE SEQUENCE RECHERCHE.DOTATION_ANNUELLES_SEQ  INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE ;
CREATE SEQUENCE RECHERCHE.EVALUATION_MESR_SEQ  INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE ;

CREATE SEQUENCE RECHERCHE.MOTS_CLES_SEQ  INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE ;
CREATE SEQUENCE RECHERCHE.REPART_MC_DS_SEQ  INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE ;
CREATE SEQUENCE RECHERCHE.REPART_MC_UR_SEQ  INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE ;


